Loading...
Searching...
No Matches
juce::WebBrowserComponent::Options::WinWebView2 Class Reference

## Detailed Description

Options specific to the WebView2 backend.

These options will be ignored if another backend is used.

The documentation for this class was generated from the following file:

- juce_gui_extra/misc/juce_WebBrowserComponent.h

## Public Member Functions

WinWebView2 | withDLLLocation (const File &location) const
| Sets a custom location for the WebView2Loader.dll that is not a part of the standard system DLL search paths.
WinWebView2 | withUserDataFolder (const File &folder) const
| Sets a non-default location for storing user data for the browser instance.
WinWebView2 | withStatusBarDisabled () const
| If this is set, the status bar usually displayed in the lower-left of the webview will be disabled.
WinWebView2 | withBuiltInErrorPageDisabled () const
| If this is set, a blank page will be displayed on error instead of the default built-in error page.
WinWebView2 | withBackgroundColour (const Colour &colour) const
| Sets the background colour that WebView2 renders underneath all web content.
File | getDLLLocation () const
File | getUserDataFolder () const
bool | getIsStatusBarDisabled () const noexcept
bool | getIsBuiltInErrorPageDisabled () const noexcept
Colour | getBackgroundColour () const

## Member Functions

## withDLLLocation()

WinWebView2 juce::WebBrowserComponent::Options::WinWebView2::withDLLLocation | ( | const File & | location | ) | const

inline nodiscard

Sets a custom location for the WebView2Loader.dll that is not a part of the standard system DLL search paths.

References juce::withMember().

## withUserDataFolder()

WinWebView2 juce::WebBrowserComponent::Options::WinWebView2::withUserDataFolder | ( | const File & | folder | ) | const

inline nodiscard

Sets a non-default location for storing user data for the browser instance.

In plugin projects you may find it necessary to use this option and specify a location such as File::SpecialLocationType::tempDirectory. Otherwise WebView2 may function incorrectly due to being denied access to the default user data location.

References juce::withMember().

## withStatusBarDisabled()

WinWebView2 juce::WebBrowserComponent::Options::WinWebView2::withStatusBarDisabled | ( |  | ) | const

inline nodiscard

If this is set, the status bar usually displayed in the lower-left of the webview will be disabled.

References juce::withMember().

## withBuiltInErrorPageDisabled()

WinWebView2 juce::WebBrowserComponent::Options::WinWebView2::withBuiltInErrorPageDisabled | ( |  | ) | const

inline nodiscard

If this is set, a blank page will be displayed on error instead of the default built-in error page.

References juce::withMember().

## withBackgroundColour()

WinWebView2 juce::WebBrowserComponent::Options::WinWebView2::withBackgroundColour | ( | const Colour & | colour | ) | const

inline nodiscard

Sets the background colour that WebView2 renders underneath all web content.

This colour must either be fully opaque or fully transparent.

References juce::Colour::isOpaque(), juce::Colour::isTransparent(), jassert, and juce::withMember().

## getDLLLocation()

File juce::WebBrowserComponent::Options::WinWebView2::getDLLLocation | ( |  | ) | const

inline

## getUserDataFolder()

File juce::WebBrowserComponent::Options::WinWebView2::getUserDataFolder | ( |  | ) | const

inline

## getIsStatusBarDisabled()

bool juce::WebBrowserComponent::Options::WinWebView2::getIsStatusBarDisabled | ( |  | ) | const

inline noexcept

## getIsBuiltInErrorPageDisabled()

bool juce::WebBrowserComponent::Options::WinWebView2::getIsBuiltInErrorPageDisabled | ( |  | ) | const

inline noexcept

## getBackgroundColour()

Colour juce::WebBrowserComponent::Options::WinWebView2::getBackgroundColour | ( |  | ) | const

inline

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited